=== modified file 'olive/dialog.py'
--- olive/dialog.py	2006-11-30 13:25:35 +0000
+++ olive/dialog.py	2007-01-31 10:00:12 +0000
@@ -26,7 +26,13 @@
 
 def about():
     """ Display the AboutDialog. """
-    import olive
+    version = None
+    try:
+        import bzrlib.plugins.gtk
+    except ImportError:
+        version = 'N/A'
+    else:
+        version = bzrlib.plugins.gtk.__version__
     from guifiles import GLADEFILENAME
 
     # Load AboutDialog description
@@ -34,7 +40,7 @@
     dialog = dglade.get_widget('aboutdialog')
 
     # Set version
-    dialog.set_version(olive.__version__)
+    dialog.set_version(version)
 
     dialog.run()
     # Destroy the dialog

